<?php
namespace Claromentis\Documents\Subscriber;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_147160a2e585c182c1b1349779" . "a20ca3" => base64_decode("dGFnZ2Vkc19h" . "ZmZlY3RlZA=="), "_2ddb0d638f8b0800ac" . "1e678385d1d13f" => base64_decode("dGFnZ2" . "Vkcw=="), "_7f628626dd1d55c71b1fc0932ffd1d2" . "c" => base64_decode("aXNfYXJyYX" . "k="), "_cc13a0811453f37" . "6ca3d9bf4073f66b" . "6" => base64_decode("UmVpbmR" . "leERvY3" . "VtZW50c" . "w=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Search\Indexing\IndexingQueue;
use ERMSObject;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
class TagsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_147160a2" . "e585c182c" . "1b1349779" . "a20ca3"] => $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_cc13a0811453f376ca3d9bf4073f" . "66b6"]];
    }
    
    
    
    
    
    
    public function ReindexDocuments(GenericEvent $event)
    {
        $arguments = $event->getArguments();
        if (!isset($arguments[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_2ddb0d638f8b0800ac" . "1e678385d1d13f"]][AGGREGATION_DATA])) {
            return;
        }
        $_54a4e641f6b0a82e03c3b14120cbf5f0 = $arguments[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_2ddb0d638f8b0800ac1e6783" . "85d1d13f"]][AGGREGATION_DATA];
        if (!$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_7f628626dd1d55c71" . "b1fc0932ffd1d2c"]($_54a4e641f6b0a82e03c3b14120cbf5f0)) {
            return;
        }
        foreach ($_54a4e641f6b0a82e03c3b14120cbf5f0 as $_f0abe7892aa8bbbd0c1198602164aa17) {
            IndexingQueue::Reindex(ERMSObject::GetSearchTypeFromAggregation(AGGREGATION_DATA), $_f0abe7892aa8bbbd0c1198602164aa17);
        }
    }
}